R4 Type Identifier

Discussion in 'R4 DS' started by Norm99, Oct 2, 2009.

Oct 2, 2009

R4 Type Identifier by Norm99 at 9:31 PM (2,195 Views / 0 Likes) 9 replies

  1. Norm99
    OP

    Newcomer Norm99 Newbie

    Joined:
    Oct 2, 2009
    Messages:
    9
    Country:
    United States
    I've been reading an searchign and i'm still a little confused. I purchased an R4i card from www.r4ultra.com I downloaded the kernel and everything seemed to work on but i had an issue wilth M&L3 so i started looking around and i've found a number of fixes that mention the 1.18 kernel for the R4 but the only kernel that seems to work for me is the 1.54 kernel from r4ultra.

    The questions i have are:

    Is this card not an R4 close but a clone of something else?

    Is there a firmware flash to get it working with the 1.18 kernel that everyone esle seems to have?

    Should i just get a new card and where/what should i get?

    Thank you, and if this was answered else where i'm sorry i couldn't find it. There were posts about this topic, but nothing i saw said X is Y, use this loader and fw.
     
  2. kobykaan

    Member kobykaan GBAtemp Addict

    Joined:
    Aug 27, 2007
    Messages:
    2,994
    Country:
    United Kingdom

    Its a clone they do not make original R4 cards anymore and the clones each use their own variant of the original firmware ... in some cases they have different hardware altogether and can be based on a number of different cards such as the DSTT and possibly the EZflash V series .. the best suggestion is to use the updates from the site your getting them from ie the R4ultra website as they work and are designed/written for your flash card [​IMG]
     
  3. Norm99
    OP

    Newcomer Norm99 Newbie

    Joined:
    Oct 2, 2009
    Messages:
    9
    Country:
    United States
    Thank you for the quick reply, it looks like this might be an ak2i clone (? i'm not sure if i'm using the correct terminology yet) should i be looking for fixes is the acekard thread and should i not use any firmware updates?
     
  4. JesseB

    Member JesseB GBAtemp Regular

    Joined:
    Sep 13, 2009
    Messages:
    127
    Location:
    Ohio
    Country:
    United States
    You are correct. It is an AceKard clone. This might help.

    1. Download the AKAIO 1.4.1 Proper and R4 Ultra Kernel 1.54 from here : Sorry guys, gonna have to find it yourself!
    2. Delete all the files of your old firmware on your micro sd
    3. Copy all the files from AKAIO 1.4.1 Proper and R4 Ultra Kernel 1.54 folder you just download into your micro sd (yes, you mix those two firmwares on your sd)
    4. Copy the Mario and Luigi game into your sd (the patched one with xpa-mal3.bat, not the clean one)
    5. Insert your micro sd into your ds then turn on your ds
    6. the R4 menu will show up but instead choosing your rom, you choose "AKMENU4.NDS"
    7. Now the AKAIO menu will appear, then choose your M&L game from there.
    8. Play the game

    Using this method I can play the game perfectly.

    With this method you can also play Kingdom Hearts 358/2 days.
    So you can play both K.H 358/2 and M&L B.I on r4ultra using this firmware

    *not written by me
     
  5. Norm99
    OP

    Newcomer Norm99 Newbie

    Joined:
    Oct 2, 2009
    Messages:
    9
    Country:
    United States
    hmm i got the 1.4.1 proper and it loaded, but when i tried to launch scribblenauts it froze at the loading screen befor the game launches. i wonder if i should get a card that has official support, i just got this one yesterday, but to say i'm having problems would be an understatement.
     
  6. Norm99
    OP

    Newcomer Norm99 Newbie

    Joined:
    Oct 2, 2009
    Messages:
    9
    Country:
    United States
    and update 1.5 doesn't do anything at all.
     
  7. Norm99
    OP

    Newcomer Norm99 Newbie

    Joined:
    Oct 2, 2009
    Messages:
    9
    Country:
    United States
    I guess it's not a strait clone, becasue i'm following the akaio directions and it's not working, but the R4 directions kind of work. At least akaio boots, then it freezes when i try to load a game.
     
  8. Norm99
    OP

    Newcomer Norm99 Newbie

    Joined:
    Oct 2, 2009
    Messages:
    9
    Country:
    United States
    Ok more digging and i'm not much closer it looks like the acekard loads to the DS screen and the one i have gives me a black screen with Loadign in white on the top screen before the normal DS screen comes up and i think that's how the R4 acts also, correct?
     
  9. outgum

    Member outgum Pokemanz Master

    Joined:
    Sep 22, 2009
    Messages:
    1,993
    Location:
    Hamilton, New Zealand
    Country:
    New Zealand
    First off im surprised you havent got in trouble for how many posts you did in a row O_O

    And i dont see why that card shouldnt be working O_O
    Yes its definatly a clone, but hmmm
    Maybe you could try this firmware if you have given up on the old one
    This is the method


    Try going to www.r4i-sdhc.com
    and click on download tab then download the one that looks like this

    R4i English V1.11b Date:[2009-9-29]
    Download address: 【Italy】【Germany】【USA】

    Click USA and download it, Delete all old firmware off and put this on
    If it doesnt fix, go back to the old firmware you had

    other wise, im not sure, Im not using a R4Ultra, Im using a r4 revolution (Also a clone) i think mine is a DSTT clone, but the R4 Firmware works, Maybe give it a try?

    EDIT: If it freezes on the loading screen, the firmware being used isnt compatible
     
  10. TrolleyDave

    Former Staff TrolleyDave Philosolosophising

    Joined:
    Jan 1, 2007
    Messages:
    7,762
    Location:
    Wales, UK
    Country:
    United Kingdom
    AKAIO 1.5 won't work on the card because it has anti-clone routines in it to stop it function on cards like the R4 Ultra. And the games you're trying to run need AKAIO 1.5 to run. Basically you're out of luck until R4 Ultra update their firmware. You could try YSMenu. There's plenty of threads around telling you how to create a YSMenu for the R4, you can follow those except you need to build YSMenu for the AK2 instead of the R4. All the stuff is in the YSMenu package for building it for the AK2. I can't guarantee it'll work but I know that AKAIO 1.5 definitely will not work on your cart.
     

Share This Page